/* 0.3.0 */
import { ErrorSignal, Expression, Signal } from '../public';
import { ComputeEngine, Domain } from './public';
export declare class CortexError {
    signal: ErrorSignal;
    constructor(errorSignal: Signal);
    toString(): string;
}
/** True if the expression is a number, a symbol, a string or a dictionary.
 * (in other words, not a function)
 */
export declare function isAtom(expr: Expression): boolean;
export declare function isInteger(expr: Expression): boolean;
export declare function isReal(expr: Expression | null): boolean;
export declare function isZero(engine: ComputeEngine, expr: Expression): boolean | undefined;
export declare function isNotZero(engine: ComputeEngine, expr: Expression): boolean | undefined;
export declare function isInfinity(ce: ComputeEngine, expr: Expression | null): boolean | undefined;
export declare function isPosInfinity(ce: ComputeEngine, expr: Expression | null): boolean | undefined;
export declare function isNegInfinity(ce: ComputeEngine, expr: Expression | null): boolean | undefined;
export declare function isPositive(ce: ComputeEngine, expr: Expression | null): boolean | undefined;
export declare function isNegative(ce: ComputeEngine, expr: Expression): boolean | undefined;
/** Test if `lhs` is a subset of `rhs`.
 *
 * `lhs` and `rhs` can be set expressions, i.e.
 * `["SetMinus", "ComplexNumber", 0]`
 *
 */
export declare function isSubsetOf(ce: ComputeEngine, lhs: Domain | null, rhs: Domain | null): boolean;
/**
 * Return the set of free variables in an expression.
 */
export declare function getVars(ce: ComputeEngine, expr: Expression): Set<string>;
export declare function isEqual(_ce: ComputeEngine, _lhs: Expression, _rhs: Expression): boolean | undefined;
export declare function isLess(_ce: ComputeEngine, _lhs: Expression, _rhs: Expression): boolean | undefined;
export declare function isLessEqual(_ce: ComputeEngine, _lhs: Expression, _rhs: Expression): boolean | undefined;
export declare function isGreater(_ce: ComputeEngine, _lhs: Expression, _rhs: Expression): boolean | undefined;
export declare function isGreaterEqual(_ce: ComputeEngine, _lhs: Expression, _rhs: Expression): boolean | undefined;
